#!/bin/env python
# coding: utf-8

import math
import string
import glob
import scipy

# Une valeur moyenne par image
for filename in glob.glob("*.ring"):
    data = []
    for line in file(filename):
        if (line[0]=="#"):
            line_s = string.split(line)
            phase = line_s[2]
            date = line_s[4]
        else :
            data.append(float(string.split(line)[2]))
    print filename, phase, date, scipy.mean(data)

# Un fichier contenant la moyenne en fonction du PA

data = []
for filename in glob.glob("*.ring"):    
    for line in file(filename):
        if (line[0]=="#"):
            line_s = string.split(line)
            phase = line_s[2]
            date = line_s[4]
        else :
            data.append([float(string.split(line)[1]),
                         float(string.split(line)[2])])

# binning par pas de 10°
collect = []
for i in range(36):
    collect.append([])

for d in data:
    collect[int(math.floor(d[0]/10.))].append(d[1])

moy = []
for c in collect:
    moy.append(scipy.mean(c))

sig = []
for c in collect:
    sig.append(scipy.std(c))


# Filtrage à 3sig
result = []
for i in range(len(collect)):
    def f(x):
        return (math.fabs(x - moy[i]) < 3 * sig[i])
    collect[i] = filter(f,collect[i])
    result.append(scipy.mean(collect[i]))
    

of = open("couronne",'w')
for i in range(36):
    outs = "%3d %10.7f\n" % (i*10,result[i])
    of.write(outs)

of.close()
    
